package de.qsqs.testgui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.ButtonGroup;
import javax.swing.JCheckBoxMenuItem;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JOptionPane;
import javax.swing.JRadioButtonMenuItem;



public class MyMenuBar extends JMenuBar{

	private static final long serialVersionUID = 1L;

	final public static JMenu oDatei = new JMenu("Datei");
	final public static JMenu oEinstellung = new JMenu("Einstellungen");
	
	final public static JMenuItem oTextEingabe = new JMenuItem("Texteingabe");
	final public static JMenuItem oEnde = new JMenuItem("Beenden");
	
	final public static JMenuItem oRadioSchwarz = new JMenuItem("Schwarz");
	final public static JMenuItem oRadioWeiss = new JMenuItem("Weiss");
	
	final public static JMenuItem oCheckTrue = new JMenuItem("Hide Label");
	
	private String sString = "";
	
	public MyMenuBar(){
		super();
		this.initComponentNames();
		this.add(createStart());
		this.add(createEinst());
		
	}
	
	/**
	 * Initialisiert die Swing Elemente mit Namen, wird dies nicht gemacht, schlagen die FEST Tests fehl.
	 */
	private void initComponentNames(){
		oDatei.setName("oDatei");
		oEinstellung.setName("oEinstellung");
		oTextEingabe.setName("oTextEingabe");
		oEnde.setName("oEnde");
		
		oRadioSchwarz.setName("oRadioSchwarz");
		oRadioWeiss.setName("oRadioWeiss");
		oCheckTrue.setName("oCheckTrue");
		
	}
	
	private JMenu createStart(){
		
		oTextEingabe.addActionListener(new ActionListener(){

			public void actionPerformed(ActionEvent e) {
				setString(JOptionPane.showInputDialog("Bitte was eingeben : "));
				
				System.out.println("Folgende Eingabe wurde gemacht : "+getString());
				
				MyMainPanel.oTextArea.setText(getString());
				
			}			
		});
		
		oEnde.addActionListener(new ActionListener(){

			public void actionPerformed(ActionEvent e) {
				System.out.println("Programme Ende");
				System.exit(0);
				
			}			
		});
		
		oDatei.add(oTextEingabe);
		oDatei.add(oEnde);
		
		return oDatei;
	}
	
	private JMenu createEinst(){
		
		oRadioSchwarz.addActionListener(new ActionListener(){

			public void actionPerformed(ActionEvent e) {
					System.out.println("Schwarz");
					MyMainPanel.oTextField.setText("Schwarz");
				
			}
			
		});
		
		oRadioWeiss.addActionListener(new ActionListener(){

			public void actionPerformed(ActionEvent e) {
				System.out.println("Weiss");
				MyMainPanel.oTextField.setText("Weiss");
				
			}
			
		});
		
		
		oCheckTrue.addActionListener(new ActionListener(){

			public void actionPerformed(ActionEvent e) {
				if(MyMainPanel.lHide.isVisible()){
					MyMainPanel.lHide.setVisible(false);
				}else{
					MyMainPanel.lHide.setVisible(true);
				}
				
			}
			
		});
		
		
		
		oEinstellung.add(oRadioSchwarz);
		oEinstellung.add(oRadioWeiss);
		oEinstellung.add(oCheckTrue);
	
		
		return oEinstellung;
	}
	
	public void setString(String sString){
		this.sString = sString;
	}
	
	public String getString(){
		return this.sString;
	}
	
}
